data:extend(
{
  {
    type = "explosion",
    name = "huge-lightning",
    animation_speed = 5,
    animations =
    {
      {
        filename = "__testingmode__/effects/huge-lightning.png",
        priority = "extra-high",
        frame_width = 464,
        frame_height = 659,
        frame_count = 8,
        line_length = 4,
		shift = {4.46, -10}
      }
    },
    light = {intensity = 1, size = 50 }, --color={g=0.9, r=0.9, b=1}
    smoke = "smoke",
    smoke_count = 20,
    smoke_slow_down_factor = 1,
    sound =
    {
      {
        filename = "__testingmode__/effects/huge-lightning.wav",
        volume = 1.3
      }
    }
  },
  {
    type = "particle",
    name = "sparkle",
    flags = {},
    life_time = 180,
	light = {intensity = 0.5, size = 5 },
    pictures = {
      {
        filename = "__testingmode__/effects/sparkle-1.png",
        priority = "extra-high",
        frame_width = 5,
        frame_height = 5,
        frame_count = 1
      },
      {
        filename = "__testingmode__/effects/sparkle-2.png",
        priority = "extra-high",
        frame_width = 7,
        frame_height = 5,
        frame_count = 1
      },
      {
        filename = "__testingmode__/effects/sparkle-3.png",
        priority = "extra-high",
        frame_width = 6,
        frame_height = 7,
        frame_count = 1
      },
      {
        filename = "__testingmode__/effects/sparkle-4.png",
        priority = "extra-high",
        frame_width = 9,
        frame_height = 8,
        frame_count = 1
      }
    },
    shadows = {
      {
        filename = "__testingmode__/effects/sparkle-shadow-1.png",
        priority = "extra-high",
        frame_width = 5,
        frame_height = 5,
        frame_count = 1
      },
      {
        filename = "__testingmode__/effects/sparkle-shadow-2.png",
        priority = "extra-high",
        frame_width = 7,
        frame_height = 5,
        frame_count = 1
      },
      {
        filename = "__testingmode__/effects/sparkle-shadow-3.png",
        priority = "extra-high",
        frame_width = 6,
        frame_height = 7,
        frame_count = 1
      },
      {
        filename = "__testingmode__/effects/sparkle-shadow-4.png",
        priority = "extra-high",
        frame_width = 9,
        frame_height = 8,
        frame_count = 1
      }
    }
  }
}
)
