local water = {r=0, g=0.25, b=0.5}
local land = {r=0.39, g=0.39, b=0.2}
local forest = {r=0.25, g=0.5, b=0.25}

local coal = {r=0, g=0, b=0}
local iron = {r=0.53, g=0.69, b=0.75}
local copper = {r=0.75, g=0.72, b=0.38}
local stone = {r=0.5, g=0.5, b=0.38}

--tiles
data.raw.tile.deepwater.map_color = water
data.raw.tile["deepwater-green"].map_color = water
data.raw.tile.water.map_color = water
data.raw.tile["water-green"].map_color = water

data.raw.tile.grass.map_color = land
data.raw.tile["grass-medium"].map_color = land
data.raw.tile["grass-dry"].map_color = land
data.raw.tile.dirt.map_color = land
data.raw.tile["dirt-dark"].map_color = land
data.raw.tile.sand.map_color = land
data.raw.tile["sand-dark"].map_color = land

--resources
data.raw.resource["copper-ore"].map_color = copper
data.raw.resource["iron-ore"].map_color = iron
data.raw.resource.coal.map_color = coal
data.raw.resource.stone.map_color = iron